Create User
POST/projects/:projectId/providers/Aruba.Database/dbaas/:dbaasId/users
Create User
Request
Path Parameters
projectId stringrequired
Unique identifier of the project CMP
dbaasId stringrequired
DBaaS instance to create the database user in.
Query Parameters
api-version string
The requested API version
Default value:
1- application/json
- text/json
- application/*+json
Body
The creation parameters.
username string
The username of the new database user.
password string
The password to assign to the new database user.
Body
The creation parameters.
username string
The username of the new database user.
password string
The password to assign to the new database user.
Body
The creation parameters.
username string
The username of the new database user.
password string
The password to assign to the new database user.
Responses
- 201
- 400
- 404
- 500
Created
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
username stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"username": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
- Schema
- Example (from schema)
Schema
username stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"username": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
- Schema
- Example (from schema)
Schema
username stringnullable
creationDate date-timenullable
createdBy stringnullable
{
"username": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string"
}
Bad Request
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
type stringnullable
title stringnullable
status int32nullable
detail stringnullable
instance stringnullable
property name* any
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error
Loading...